GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
gdcm::EncodingImplementation< VR::VRBINARY > Class Template Reference

`#include <gdcmElement.h>`

## Static Public Member Functions

template<typename T >
static void | Read (T *data, unsigned long length, std::istream &_is)
template<typename T >
static void | ReadComputeLength (T *data, unsigned int &length, std::istream &_is)
template<typename T >
static void | ReadNoSwap (T *data, unsigned long length, std::istream &_is)
template<typename T >
static void | Write (const T *data, unsigned long length, std::ostream &_os)

## Member Function Documentation

template<typename T >

static void gdcm::EncodingImplementation< VR::VRBINARY >::Read | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is
| ) |  |

inlinestatic

References gdcm::SwapperNoOp::SwapArray().

template<typename T >

static void gdcm::EncodingImplementation< VR::VRBINARY >::ReadComputeLength | ( | T * | data,
|  | unsigned int & | length,
|  | std::istream & | _is
| ) |  |

inlinestatic

template<typename T >

static void gdcm::EncodingImplementation< VR::VRBINARY >::ReadNoSwap | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is
| ) |  |

inlinestatic

template<typename T >

static void gdcm::EncodingImplementation< VR::VRBINARY >::Write | ( | const T * | data,
|  | unsigned long | length,
|  | std::ostream & | _os
| ) |  |

inlinestatic

References gdcm::SwapperNoOp::Swap().

The documentation for this class was generated from the following file:

- gdcmElement.h